#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'browserconfig_ui.ui'
**
** Created: 2013-09-06T06:16:48
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "browserconfig_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qlineedit.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a BrowserConfig_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BrowserConfig_UI::BrowserConfig_UI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "BrowserConfig_UI" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    BrowserConfig_UILayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "BrowserConfig_UILayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( QButtonGroup::NoFrame );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    buttonGroup1->layout()->setMargin( KDialog::marginHint() );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    label = new QLabel( buttonGroup1, "label" );
    buttonGroup1Layout->addWidget( label );

    radioKIO = new QRadioButton( buttonGroup1, "radioKIO" );
    radioKIO->setChecked( TRUE );
    buttonGroup1Layout->addWidget( radioKIO );

    radioExec = new QRadioButton( buttonGroup1, "radioExec" );
    buttonGroup1Layout->addWidget( radioExec );

    layout3 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 
    spacer4_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout3->addItem( spacer4_2 );

    lineExec = new QLineEdit( buttonGroup1, "lineExec" );
    lineExec->setEnabled( FALSE );
    layout3->addWidget( lineExec );

    btnSelectBrowser = new QToolButton( buttonGroup1, "btnSelectBrowser" );
    btnSelectBrowser->setEnabled( FALSE );
    btnSelectBrowser->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, btnSelectBrowser->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( btnSelectBrowser );
    buttonGroup1Layout->addLayout( layout3 );
    BrowserConfig_UILayout->addWidget( buttonGroup1 );
    spacer9 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    BrowserConfig_UILayout->addItem( spacer9 );
    languageChange();
    resize( QSize(394, 324).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( radioExec, SIGNAL( toggled(bool) ), lineExec, SLOT( setEnabled(bool) ) );
    connect( radioExec, SIGNAL( toggled(bool) ), btnSelectBrowser, SLOT( setEnabled(bool) ) );
    connect( btnSelectBrowser, SIGNAL( clicked() ), this, SLOT( selectBrowser() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BrowserConfig_UI::~BrowserConfig_UI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BrowserConfig_UI::languageChange()
{
    buttonGroup1->setTitle( QString::null );
    label->setText( tr2i18n( "<qt>Open <b>http</b> and <b>https</b> URLs</qt>" ) );
    radioKIO->setText( tr2i18n( "in an application based on the contents of the URL" ) );
    radioExec->setText( tr2i18n( "in the following browser:" ) );
    btnSelectBrowser->setText( tr2i18n( "..." ) );
}

void BrowserConfig_UI::selectBrowser()
{
    qWarning( "BrowserConfig_UI::selectBrowser(): Not implemented yet" );
}

/****************************************************************************
** BrowserConfig_UI meta object code from reading C++ file 'browserconfig_ui.h'
**
** Created: Fri Sep 6 06:16:48 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "browserconfig_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *BrowserConfig_UI::className() const
{
    return "BrowserConfig_UI";
}

QMetaObject *BrowserConfig_UI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_BrowserConfig_UI( "BrowserConfig_UI", &BrowserConfig_UI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString BrowserConfig_UI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BrowserConfig_UI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString BrowserConfig_UI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BrowserConfig_UI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* BrowserConfig_UI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"selectBrowser", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "selectBrowser()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"BrowserConfig_UI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_BrowserConfig_UI.setMetaObject( metaObj );
    return metaObj;
}

void* BrowserConfig_UI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "BrowserConfig_UI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool BrowserConfig_UI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: selectBrowser(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool BrowserConfig_UI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool BrowserConfig_UI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool BrowserConfig_UI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
