#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'emailclientconfig_ui.ui'
**
** Created: 2013-09-06T06:16:47
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "emailclientconfig_ui.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qlineedit.h>
#include <qtoolbutton.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a EmailClientConfig_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EmailClientConfig_UI::EmailClientConfig_UI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EmailClientConfig_UI" );
    setEnabled( TRUE );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    EmailClientConfig_UILayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "EmailClientConfig_UILayout"); 

    ButtonGroup2 = new QButtonGroup( this, "ButtonGroup2" );
    ButtonGroup2->setFrameShape( QButtonGroup::NoFrame );
    ButtonGroup2->setLineWidth( 0 );
    ButtonGroup2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2->layout()->setSpacing( KDialog::spacingHint() );
    ButtonGroup2->layout()->setMargin( 0 );
    ButtonGroup2Layout = new QGridLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( Qt::AlignTop );

    Layout4 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout4"); 

    txtEMailClient = new QLineEdit( ButtonGroup2, "txtEMailClient" );
    txtEMailClient->setEnabled( FALSE );
    txtEMailClient->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, txtEMailClient->sizePolicy().hasHeightForWidth() ) );
    txtEMailClient->setMinimumSize( QSize( 0, 0 ) );
    Layout4->addWidget( txtEMailClient );

    btnSelectEmail = new QToolButton( ButtonGroup2, "btnSelectEmail" );
    btnSelectEmail->setEnabled( FALSE );
    Layout4->addWidget( btnSelectEmail );

    ButtonGroup2Layout->addLayout( Layout4, 2, 1 );

    chkRunTerminal = new QCheckBox( ButtonGroup2, "chkRunTerminal" );
    chkRunTerminal->setEnabled( FALSE );

    ButtonGroup2Layout->addWidget( chkRunTerminal, 3, 1 );
    Spacer2 = new QSpacerItem( 0, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ButtonGroup2Layout->addItem( Spacer2, 4, 1 );

    kmailCB = new QRadioButton( ButtonGroup2, "kmailCB" );

    ButtonGroup2Layout->addMultiCellWidget( kmailCB, 0, 0, 0, 1 );

    otherCB = new QRadioButton( ButtonGroup2, "otherCB" );

    ButtonGroup2Layout->addMultiCellWidget( otherCB, 1, 1, 0, 1 );
    Spacer16 = new QSpacerItem( 30, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    ButtonGroup2Layout->addItem( Spacer16, 2, 0 );
    Spacer16_2 = new QSpacerItem( 30, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    ButtonGroup2Layout->addItem( Spacer16_2, 3, 0 );
    EmailClientConfig_UILayout->addWidget( ButtonGroup2 );
    languageChange();
    resize( QSize(388, 267).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( otherCB, SIGNAL( toggled(bool) ), chkRunTerminal, SLOT( setEnabled(bool) ) );
    connect( otherCB, SIGNAL( toggled(bool) ), txtEMailClient, SLOT( setEnabled(bool) ) );
    connect( otherCB, SIGNAL( toggled(bool) ), btnSelectEmail, SLOT( setEnabled(bool) ) );
    connect( btnSelectEmail, SIGNAL( clicked() ), this, SLOT( selectEmailClient() ) );

    // tab order
    setTabOrder( kmailCB, otherCB );
    setTabOrder( otherCB, txtEMailClient );
    setTabOrder( txtEMailClient, chkRunTerminal );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EmailClientConfig_UI::~EmailClientConfig_UI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EmailClientConfig_UI::languageChange()
{
    ButtonGroup2->setTitle( QString::null );
    QToolTip::add( txtEMailClient, tr2i18n( "<ul> <li>%t: Recipient's address</li> <li>%s: Subject</li> <li>%c: Carbon Copy (CC)</li> <li>%b: Blind Carbon Copy (BCC)</li> <li>%B: Template body text</li> <li>%A: Attachment </li> </ul>" ) );
    QWhatsThis::add( txtEMailClient, tr2i18n( "Press this button to select your favorite email client. Please note that the file you select has to have the executable attribute set in order to be accepted.<br> You can also use several placeholders which will be replaced with the actual values when the email client is called:<ul> <li>%t: Recipient's address</li> <li>%s: Subject</li> <li>%c: Carbon Copy (CC)</li> <li>%b: Blind Carbon Copy (BCC)</li> <li>%B: Template body text</li> <li>%A: Attachment </li> </ul>" ) );
    btnSelectEmail->setText( tr2i18n( "..." ) );
    QWhatsThis::add( btnSelectEmail, tr2i18n( "Click here to browse for the mail program file." ) );
    chkRunTerminal->setText( tr2i18n( "&Run in terminal" ) );
    QWhatsThis::add( chkRunTerminal, tr2i18n( "Activate this option if you want the selected email client to be executed in a terminal (e.g. <em>Konsole</em>)." ) );
    kmailCB->setText( tr2i18n( "&Use KMail as preferred email client" ) );
    QWhatsThis::add( kmailCB, tr2i18n( "Kmail is the standard Mail program for the KDE desktop." ) );
    otherCB->setText( tr2i18n( "Use a different &email client:" ) );
    QWhatsThis::add( otherCB, tr2i18n( "Select this option if you want to use any other mail program." ) );
}

void EmailClientConfig_UI::selectEmailClient()
{
    qWarning( "EmailClientConfig_UI::selectEmailClient(): Not implemented yet" );
}

/****************************************************************************
** EmailClientConfig_UI meta object code from reading C++ file 'emailclientconfig_ui.h'
**
** Created: Fri Sep 6 06:16:47 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "emailclientconfig_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *EmailClientConfig_UI::className() const
{
    return "EmailClientConfig_UI";
}

QMetaObject *EmailClientConfig_UI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_EmailClientConfig_UI( "EmailClientConfig_UI", &EmailClientConfig_UI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString EmailClientConfig_UI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EmailClientConfig_UI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString EmailClientConfig_UI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EmailClientConfig_UI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* EmailClientConfig_UI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"selectEmailClient", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "selectEmailClient()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"EmailClientConfig_UI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_EmailClientConfig_UI.setMetaObject( metaObj );
    return metaObj;
}

void* EmailClientConfig_UI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EmailClientConfig_UI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool EmailClientConfig_UI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: selectEmailClient(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool EmailClientConfig_UI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool EmailClientConfig_UI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool EmailClientConfig_UI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
