#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'bgwallpaper_ui.ui'
**
** Created: 2013-09-06T06:11:25
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "bgwallpaper_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a BGMultiWallpaperBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BGMultiWallpaperBase::BGMultiWallpaperBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "BGMultiWallPaperBase" );
    BGMultiWallPaperBaseLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "BGMultiWallPaperBaseLayout"); 

    textLabel2 = new QLabel( this, "textLabel2" );

    BGMultiWallPaperBaseLayout->addWidget( textLabel2, 2, 0 );

    m_cbRandom = new QCheckBox( this, "m_cbRandom" );

    BGMultiWallPaperBaseLayout->addWidget( m_cbRandom, 1, 0 );

    layout3 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout3->addWidget( textLabel1 );

    m_spinInterval = new QSpinBox( this, "m_spinInterval" );
    layout3->addWidget( m_spinInterval );
    spacer4 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer4 );

    BGMultiWallPaperBaseLayout->addLayout( layout3, 0, 0 );

    layout4 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout4"); 

    m_listImages = new BGMultiWallpaperList( this, "m_listImages" );
    m_listImages->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, m_listImages->sizePolicy().hasHeightForWidth() ) );
    m_listImages->setMinimumSize( QSize( 300, 100 ) );

    layout4->addMultiCellWidget( m_listImages, 0, 4, 0, 0 );

    m_buttonAdd = new QPushButton( this, "m_buttonAdd" );

    layout4->addWidget( m_buttonAdd, 0, 1 );
    spacer5 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer5, 4, 1 );

    m_buttonRemove = new QPushButton( this, "m_buttonRemove" );

    layout4->addWidget( m_buttonRemove, 1, 1 );

    m_buttonMoveDown = new QPushButton( this, "m_buttonMoveDown" );

    layout4->addWidget( m_buttonMoveDown, 3, 1 );

    m_buttonMoveUp = new QPushButton( this, "m_buttonMoveUp" );

    layout4->addWidget( m_buttonMoveUp, 2, 1 );

    BGMultiWallPaperBaseLayout->addLayout( layout4, 3, 0 );
    languageChange();
    resize( QSize(410, 196).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( m_spinInterval );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BGMultiWallpaperBase::~BGMultiWallpaperBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BGMultiWallpaperBase::languageChange()
{
    textLabel2->setText( tr2i18n( "Show the following pictures:" ) );
    m_cbRandom->setText( tr2i18n( "&Show pictures in random order" ) );
    textLabel1->setText( tr2i18n( "Change &picture after:" ) );
    m_buttonAdd->setText( tr2i18n( "&Add..." ) );
    m_buttonRemove->setText( tr2i18n( "&Remove" ) );
    m_buttonMoveDown->setText( tr2i18n( "Move &Down" ) );
    m_buttonMoveUp->setText( tr2i18n( "Move &Up" ) );
}

/****************************************************************************
** BGMultiWallpaperBase meta object code from reading C++ file 'bgwallpaper_ui.h'
**
** Created: Fri Sep 6 06:11:25 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "bgwallpaper_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *BGMultiWallpaperBase::className() const
{
    return "BGMultiWallpaperBase";
}

QMetaObject *BGMultiWallpaperBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_BGMultiWallpaperBase( "BGMultiWallpaperBase", &BGMultiWallpaperBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString BGMultiWallpaperBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BGMultiWallpaperBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString BGMultiWallpaperBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BGMultiWallpaperBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* BGMultiWallpaperBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"BGMultiWallpaperBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_BGMultiWallpaperBase.setMetaObject( metaObj );
    return metaObj;
}

void* BGMultiWallpaperBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "BGMultiWallpaperBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool BGMultiWallpaperBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool BGMultiWallpaperBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool BGMultiWallpaperBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool BGMultiWallpaperBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
