#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'componentchooser_ui.ui'
**
** Created: 2013-09-06T06:16:47
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "componentchooser_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qwidgetstack.h>
#include <qlabel.h>
#include <klistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a ComponentChooser_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ComponentChooser_UI::ComponentChooser_UI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ComponentChooser_UI" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ComponentChooser_UILayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "ComponentChooser_UILayout"); 

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 1, 0, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QVBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    configContainer = new QWidgetStack( GroupBox1, "configContainer" );
    GroupBox1Layout->addWidget( configContainer );

    ComponentChooser_UILayout->addWidget( GroupBox1, 1, 1 );

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, GroupBox2->sizePolicy().hasHeightForWidth() ) );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox2->layout()->setMargin( 11 );
    GroupBox2Layout = new QVBoxLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );

    ComponentDescription = new QLabel( GroupBox2, "ComponentDescription" );
    ComponentDescription->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );
    GroupBox2Layout->addWidget( ComponentDescription );

    ComponentChooser_UILayout->addWidget( GroupBox2, 0, 1 );

    ServiceChooser = new KListBox( this, "ServiceChooser" );
    ServiceChooser->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 1, 0, ServiceChooser->sizePolicy().hasHeightForWidth() ) );

    ComponentChooser_UILayout->addMultiCellWidget( ServiceChooser, 0, 1, 0, 0 );
    languageChange();
    resize( QSize(482, 451).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ComponentChooser_UI::~ComponentChooser_UI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ComponentChooser_UI::languageChange()
{
    GroupBox1->setTitle( tr2i18n( "Default Component" ) );
    QWhatsThis::add( GroupBox1, tr2i18n( "Here you can change the component program. Components are programs that handle basic tasks, like the terminal emulator, the text editor and the email client. Different KDE applications sometimes need to invoke a console emulator, send a mail or display some text. To do so consistently, these applications always call the same components. You can choose here which programs these components are." ) );
    GroupBox2->setTitle( tr2i18n( "Component Description" ) );
    QWhatsThis::add( GroupBox2, tr2i18n( "Here you can read a small description of the currently selected component. To change the selected component, click on the list to the left. To change the component program,  please choose it below." ) );
    ComponentDescription->setText( QString::null );
    ServiceChooser->setCurrentItem( -1 );
    QWhatsThis::add( ServiceChooser, tr2i18n( "<qt>\n"
"<p>This list shows the configurable component types. Click the component you want to configure.</p>\n"
"<p>In this dialog you can change KDE default components. Components are programs that handle basic tasks, like the terminal emulator, the text editor and the email client. Different KDE applications sometimes need to invoke a console emulator, send a mail or display some text. To do so consistently, these applications always call the same components. Here you can select which programs these components are.</p>\n"
"</qt>" ) );
}

/****************************************************************************
** ComponentChooser_UI meta object code from reading C++ file 'componentchooser_ui.h'
**
** Created: Fri Sep 6 06:16:47 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "componentchooser_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ComponentChooser_UI::className() const
{
    return "ComponentChooser_UI";
}

QMetaObject *ComponentChooser_UI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ComponentChooser_UI( "ComponentChooser_UI", &ComponentChooser_UI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ComponentChooser_UI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ComponentChooser_UI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ComponentChooser_UI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ComponentChooser_UI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ComponentChooser_UI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ComponentChooser_UI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ComponentChooser_UI.setMetaObject( metaObj );
    return metaObj;
}

void* ComponentChooser_UI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ComponentChooser_UI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ComponentChooser_UI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ComponentChooser_UI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ComponentChooser_UI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ComponentChooser_UI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
