#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'advancedOptions.ui'
**
** Created: 2013-09-06T06:12:39
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "advancedOptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kcolorbutton.h>
#include <qslider.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a advancedKickerOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
advancedKickerOptions::advancedKickerOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "advancedKickerOptions" );
    advancedKickerOptionsLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "advancedKickerOptionsLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( KDialog::spacingHint() );
    groupBox3->layout()->setMargin( KDialog::marginHint() );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    TextLabel2 = new QLabel( groupBox3, "TextLabel2" );

    groupBox3Layout->addWidget( TextLabel2, 0, 0 );

    hideButtonSize = new KIntSpinBox( groupBox3, "hideButtonSize" );
    hideButtonSize->setMaxValue( 24 );
    hideButtonSize->setMinValue( 3 );

    groupBox3Layout->addWidget( hideButtonSize, 0, 1 );
    spacer4 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer4, 0, 2 );
    advancedKickerOptionsLayout->addWidget( groupBox3 );

    handles = new QButtonGroup( this, "handles" );
    handles->setColumnLayout(0, Qt::Vertical );
    handles->layout()->setSpacing( KDialog::spacingHint() );
    handles->layout()->setMargin( KDialog::marginHint() );
    handlesLayout = new QHBoxLayout( handles->layout() );
    handlesLayout->setAlignment( Qt::AlignTop );

    visibleHandles = new QRadioButton( handles, "visibleHandles" );
    visibleHandles->setChecked( TRUE );
    handlesLayout->addWidget( visibleHandles );

    fadeOutHandles = new QRadioButton( handles, "fadeOutHandles" );
    handlesLayout->addWidget( fadeOutHandles );

    hideHandles = new QRadioButton( handles, "hideHandles" );
    handlesLayout->addWidget( hideHandles );
    spacer1 = new QSpacerItem( 21, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    handlesLayout->addItem( spacer1 );
    advancedKickerOptionsLayout->addWidget( handles );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( KDialog::spacingHint() );
    groupBox2->layout()->setMargin( KDialog::marginHint() );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    tintColorB = new KColorButton( groupBox2, "tintColorB" );
    tintColorB->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, tintColorB->sizePolicy().hasHeightForWidth() ) );

    groupBox2Layout->addWidget( tintColorB, 0, 1 );
    spacer2 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox2Layout->addItem( spacer2, 2, 0 );

    textLabel3 = new QLabel( groupBox2, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    groupBox2Layout->addWidget( textLabel3, 2, 1 );
    spacer3 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer3, 0, 2 );

    tintSlider = new QSlider( groupBox2, "tintSlider" );
    tintSlider->setOrientation( QSlider::Horizontal );

    groupBox2Layout->addMultiCellWidget( tintSlider, 1, 1, 1, 2 );

    textLabel2 = new QLabel( groupBox2, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    groupBox2Layout->addWidget( textLabel2, 2, 2 );

    textLabel1_2 = new QLabel( groupBox2, "textLabel1_2" );

    groupBox2Layout->addWidget( textLabel1_2, 1, 0 );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 0, 0 );

    menubarPanelTransparent = new QCheckBox( groupBox2, "menubarPanelTransparent" );

    groupBox2Layout->addMultiCellWidget( menubarPanelTransparent, 3, 3, 0, 1 );

    menubarPanelBlurred = new QCheckBox( groupBox2, "menubarPanelBlurred" );

    groupBox2Layout->addMultiCellWidget( menubarPanelBlurred, 4, 4, 0, 1 );
    advancedKickerOptionsLayout->addWidget( groupBox2 );

    groupBox3_2 = new QGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( KDialog::spacingHint() );
    groupBox3_2->layout()->setMargin( KDialog::marginHint() );
    groupBox3Layout_2 = new QGridLayout( groupBox3_2->layout() );
    groupBox3Layout_2->setAlignment( Qt::AlignTop );

    kickerResizeHandle = new QCheckBox( groupBox3_2, "kickerResizeHandle" );

    groupBox3Layout_2->addMultiCellWidget( kickerResizeHandle, 0, 0, 0, 1 );

    kickerDeepButtons = new QCheckBox( groupBox3_2, "kickerDeepButtons" );

    groupBox3Layout_2->addMultiCellWidget( kickerDeepButtons, 0, 0, 2, 3 );
    advancedKickerOptionsLayout->addWidget( groupBox3_2 );
    languageChange();
    resize( QSize(324, 235).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( hideButtonSize, visibleHandles );
    setTabOrder( visibleHandles, fadeOutHandles );
    setTabOrder( fadeOutHandles, hideHandles );
    setTabOrder( hideHandles, tintColorB );
    setTabOrder( tintColorB, tintSlider );

    // buddies
    TextLabel2->setBuddy( hideButtonSize );
    textLabel1_2->setBuddy( tintSlider );
    textLabel1->setBuddy( tintColorB );
}

/*
 *  Destroys the object and frees any allocated resources
 */
advancedKickerOptions::~advancedKickerOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void advancedKickerOptions::languageChange()
{
    groupBox3->setTitle( tr2i18n( "Panel Dimensions" ) );
    TextLabel2->setText( tr2i18n( "&Hide button size:" ) );
    QWhatsThis::add( TextLabel2, tr2i18n( "This setting defines how large the panel hide buttons will be if they are visible." ) );
    hideButtonSize->setSuffix( tr2i18n( " pixels" ) );
    QWhatsThis::add( hideButtonSize, tr2i18n( "This setting defines how large the panel hide buttons will be if they are visible." ) );
    handles->setTitle( tr2i18n( "Applet Handles" ) );
    visibleHandles->setText( tr2i18n( "&Visible" ) );
    QWhatsThis::add( visibleHandles, tr2i18n( "<qt>\n"
"<p>Select this option to always show the Applet Handles.</p>\n"
"<p>Applet Handles let you move, remove and configure applets in the panel.</p>\n"
"</qt>" ) );
    fadeOutHandles->setText( tr2i18n( "&Fade out" ) );
    QWhatsThis::add( fadeOutHandles, tr2i18n( "<qt>\n"
"<p>Select this option to make Applet Handles visible only on mouse hover.</p>\n"
"<p>Applet Handles let you move, remove and configure applets in the panel.</p>\n"
"</qt>" ) );
    hideHandles->setText( tr2i18n( "&Hide" ) );
    QWhatsThis::add( hideHandles, tr2i18n( "<qt>\n"
"<p><p>Select this option to always hide the Applet Handles. Beware that this option can disable removing, moving or configuring some applets.</p>\n"
"</qt>" ) );
    groupBox2->setTitle( tr2i18n( "Transparency" ) );
    tintColorB->setText( QString::null );
    QWhatsThis::add( tintColorB, tr2i18n( "Click on this button to set the color to use when tinting transparent panels." ) );
    textLabel3->setText( tr2i18n( "Min" ) );
    QWhatsThis::add( textLabel3, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    QWhatsThis::add( tintSlider, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel2->setText( tr2i18n( "Max" ) );
    QWhatsThis::add( textLabel2, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel1_2->setText( tr2i18n( "Ti&nt amount:" ) );
    QWhatsThis::add( textLabel1_2, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel1->setText( tr2i18n( "Tint c&olor:" ) );
    QWhatsThis::add( textLabel1, tr2i18n( "Click on this button to set the color to use when tinting transparent panels." ) );
    menubarPanelTransparent->setText( tr2i18n( "Also apply to panel with menu bar" ) );
    QWhatsThis::add( menubarPanelTransparent, tr2i18n( "Normally if you have the desktop's or current application's menu bar displayed in a panel at the top of the screen (MacOS-style), transparency is disabled for this panel to avoid the desktop background clashing with the menu bar. Set this option to make it transparent anyways." ) );
    menubarPanelBlurred->setText( tr2i18n( "Blur the background when transparency is enabled" ) );
    QWhatsThis::add( menubarPanelBlurred, tr2i18n( "When checked, the displayed semi-transparent background image will be blurred to reduce eyestrain" ) );
    groupBox3_2->setTitle( tr2i18n( "Texture" ) );
    kickerResizeHandle->setText( tr2i18n( "Show resize handle on panels" ) );
    QWhatsThis::add( kickerResizeHandle, tr2i18n( "Enabling this option will show a resize handle on the resizable end of each panel." ) );
    kickerDeepButtons->setText( tr2i18n( "Use deep buttons" ) );
    QWhatsThis::add( kickerDeepButtons, tr2i18n( "Enabling this option will yield more highly textured panels." ) );
}

/****************************************************************************
** advancedKickerOptions meta object code from reading C++ file 'advancedOptions.h'
**
** Created: Fri Sep 6 06:12:40 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "advancedOptions.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *advancedKickerOptions::className() const
{
    return "advancedKickerOptions";
}

QMetaObject *advancedKickerOptions::metaObj = 0;
static QMetaObjectCleanUp cleanUp_advancedKickerOptions( "advancedKickerOptions", &advancedKickerOptions::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString advancedKickerOptions::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "advancedKickerOptions", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString advancedKickerOptions::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "advancedKickerOptions", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* advancedKickerOptions::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"advancedKickerOptions", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_advancedKickerOptions.setMetaObject( metaObj );
    return metaObj;
}

void* advancedKickerOptions::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "advancedKickerOptions" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool advancedKickerOptions::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool advancedKickerOptions::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool advancedKickerOptions::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool advancedKickerOptions::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
