#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kthemedlg.ui'
**
** Created: 2013-09-06T06:17:04
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kthemedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kurllabel.h>
#include <qheader.h>
#include <qlistview.h>
#include <qframe.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kthemedlg.ui.h"

/*
 *  Constructs a KThemeDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KThemeDlg::KThemeDlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KThemeDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KThemeDlgLayout = new QGridLayout( this, 1, 1, 0, 6, "KThemeDlgLayout"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setFrameShape( QLabel::NoFrame );
    textLabel1->setFrameShadow( QLabel::Plain );
    layout2->addWidget( textLabel1 );
    spacer2 = new QSpacerItem( 170, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    layout2->addItem( spacer2 );

    lbGet = new KURLLabel( this, "lbGet" );
    lbGet->setUseTips( TRUE );
    layout2->addWidget( lbGet );

    KThemeDlgLayout->addLayout( layout2, 0, 0 );

    layout1 = new QGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    lbPreview = new QLabel( this, "lbPreview" );
    lbPreview->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, lbPreview->sizePolicy().hasHeightForWidth() ) );
    lbPreview->setFrameShape( QLabel::Box );
    lbPreview->setAlignment( int( QLabel::AlignCenter ) );

    layout1->addMultiCellWidget( lbPreview, 0, 3, 1, 1 );

    btnRemove = new QPushButton( this, "btnRemove" );

    layout1->addWidget( btnRemove, 2, 0 );

    btnCreate = new QPushButton( this, "btnCreate" );

    layout1->addWidget( btnCreate, 3, 0 );

    btnInstall = new QPushButton( this, "btnInstall" );

    layout1->addWidget( btnInstall, 1, 0 );

    lvThemes = new QListView( this, "lvThemes" );
    lvThemes->addColumn( tr2i18n( "Theme" ) );
    lvThemes->header()->setResizeEnabled( FALSE, lvThemes->header()->count() - 1 );
    lvThemes->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, lvThemes->sizePolicy().hasHeightForWidth() ) );
    lvThemes->setShowSortIndicator( TRUE );
    lvThemes->setResizeMode( QListView::AllColumns );

    layout1->addWidget( lvThemes, 0, 0 );

    KThemeDlgLayout->addLayout( layout1, 1, 0 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    KThemeDlgLayout->addWidget( line1, 2, 0 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    KThemeDlgLayout->addWidget( textLabel1_2, 3, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    btnBackground = new QToolButton( this, "btnBackground" );
    btnBackground->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnBackground->sizePolicy().hasHeightForWidth() ) );
    btnBackground->setMinimumSize( QSize( 80, 60 ) );
    btnBackground->setMaximumSize( QSize( 32767, 60 ) );
    btnBackground->setFocusPolicy( QToolButton::TabFocus );
    btnBackground->setUsesTextLabel( TRUE );
    layout4->addWidget( btnBackground );

    btnColors = new QToolButton( this, "btnColors" );
    btnColors->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnColors->sizePolicy().hasHeightForWidth() ) );
    btnColors->setMinimumSize( QSize( 80, 60 ) );
    btnColors->setMaximumSize( QSize( 32767, 60 ) );
    btnColors->setFocusPolicy( QToolButton::TabFocus );
    btnColors->setUsesTextLabel( TRUE );
    layout4->addWidget( btnColors );

    btnStyle = new QToolButton( this, "btnStyle" );
    btnStyle->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnStyle->sizePolicy().hasHeightForWidth() ) );
    btnStyle->setMinimumSize( QSize( 80, 60 ) );
    btnStyle->setMaximumSize( QSize( 32767, 60 ) );
    btnStyle->setFocusPolicy( QToolButton::TabFocus );
    btnStyle->setUsesTextLabel( TRUE );
    layout4->addWidget( btnStyle );

    btnIcons = new QToolButton( this, "btnIcons" );
    btnIcons->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnIcons->sizePolicy().hasHeightForWidth() ) );
    btnIcons->setMinimumSize( QSize( 80, 60 ) );
    btnIcons->setMaximumSize( QSize( 32767, 60 ) );
    btnIcons->setFocusPolicy( QToolButton::TabFocus );
    btnIcons->setUsesTextLabel( TRUE );
    layout4->addWidget( btnIcons );

    btnFonts = new QToolButton( this, "btnFonts" );
    btnFonts->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnFonts->sizePolicy().hasHeightForWidth() ) );
    btnFonts->setMinimumSize( QSize( 80, 60 ) );
    btnFonts->setMaximumSize( QSize( 32767, 60 ) );
    btnFonts->setFocusPolicy( QToolButton::TabFocus );
    btnFonts->setUsesTextLabel( TRUE );
    layout4->addWidget( btnFonts );

    btnSaver = new QToolButton( this, "btnSaver" );
    btnSaver->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnSaver->sizePolicy().hasHeightForWidth() ) );
    btnSaver->setMinimumSize( QSize( 80, 60 ) );
    btnSaver->setMaximumSize( QSize( 32767, 60 ) );
    btnSaver->setFocusPolicy( QToolButton::TabFocus );
    btnSaver->setUsesTextLabel( TRUE );
    layout4->addWidget( btnSaver );

    KThemeDlgLayout->addLayout( layout4, 4, 0 );
    languageChange();
    resize( QSize(687, 382).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( lbGet, SIGNAL( leftClickedURL(const QString&) ), this, SLOT( startKonqui(const QString&) ) );
    connect( btnBackground, SIGNAL( clicked() ), this, SLOT( startBackground() ) );
    connect( btnColors, SIGNAL( clicked() ), this, SLOT( startColors() ) );
    connect( btnStyle, SIGNAL( clicked() ), this, SLOT( startStyle() ) );
    connect( btnIcons, SIGNAL( clicked() ), this, SLOT( startIcons() ) );
    connect( btnFonts, SIGNAL( clicked() ), this, SLOT( startFonts() ) );
    connect( btnSaver, SIGNAL( clicked() ), this, SLOT( startSaver() ) );

    // tab order
    setTabOrder( lvThemes, btnInstall );
    setTabOrder( btnInstall, btnRemove );
    setTabOrder( btnRemove, btnCreate );
    setTabOrder( btnCreate, btnBackground );
    setTabOrder( btnBackground, btnColors );
    setTabOrder( btnColors, btnStyle );
    setTabOrder( btnStyle, btnIcons );
    setTabOrder( btnIcons, btnFonts );
    setTabOrder( btnFonts, btnSaver );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KThemeDlg::~KThemeDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KThemeDlg::languageChange()
{
    textLabel1->setText( tr2i18n( "Choose your visual KDE theme:" ) );
    lbGet->setText( tr2i18n( "Get new themes..." ) );
    lbGet->setProperty( "url", tr2i18n( "http://themes.kde.org" ) );
    lbGet->setTipText( tr2i18n( "Go to the KDE themes website" ) );
    btnRemove->setText( tr2i18n( "&Remove Theme" ) );
    btnCreate->setText( tr2i18n( "Create &New Theme..." ) );
    btnInstall->setText( tr2i18n( "&Install New Theme..." ) );
    lvThemes->header()->setLabel( 0, tr2i18n( "Theme" ) );
    textLabel1_2->setText( tr2i18n( "Customize your theme:" ) );
    btnBackground->setText( QString::null );
    btnBackground->setTextLabel( tr2i18n( "Background" ) );
    QToolTip::add( btnBackground, tr2i18n( "Customize the desktop background" ) );
    btnColors->setText( QString::null );
    btnColors->setTextLabel( tr2i18n( "Colors" ) );
    QToolTip::add( btnColors, tr2i18n( "Customize colors" ) );
    btnStyle->setText( QString::null );
    btnStyle->setTextLabel( tr2i18n( "Style" ) );
    QToolTip::add( btnStyle, tr2i18n( "Customize the widget style" ) );
    btnIcons->setText( QString::null );
    btnIcons->setTextLabel( tr2i18n( "Icons" ) );
    QToolTip::add( btnIcons, tr2i18n( "Customize the icon theme" ) );
    btnFonts->setText( QString::null );
    btnFonts->setTextLabel( tr2i18n( "Fonts" ) );
    QToolTip::add( btnFonts, tr2i18n( "Customize the font theme" ) );
    btnSaver->setText( QString::null );
    btnSaver->setTextLabel( tr2i18n( "Screen Saver" ) );
    QToolTip::add( btnSaver, tr2i18n( "Customize the screen saver" ) );
}

/****************************************************************************
** KThemeDlg meta object code from reading C++ file 'kthemedlg.h'
**
** Created: Fri Sep 6 06:17:05 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kthemedlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KThemeDlg::className() const
{
    return "KThemeDlg";
}

QMetaObject *KThemeDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KThemeDlg( "KThemeDlg", &KThemeDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KThemeDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KThemeDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KThemeDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KThemeDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KThemeDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "url", &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"startKonqui", 1, param_slot_0 };
    static const QUMethod slot_1 = {"startBackground", 0, 0 };
    static const QUMethod slot_2 = {"startColors", 0, 0 };
    static const QUMethod slot_3 = {"startStyle", 0, 0 };
    static const QUMethod slot_4 = {"startIcons", 0, 0 };
    static const QUMethod slot_5 = {"startFonts", 0, 0 };
    static const QUMethod slot_6 = {"startSaver", 0, 0 };
    static const QUMethod slot_7 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "startKonqui(const QString&)", &slot_0, QMetaData::Public },
	{ "startBackground()", &slot_1, QMetaData::Public },
	{ "startColors()", &slot_2, QMetaData::Public },
	{ "startStyle()", &slot_3, QMetaData::Public },
	{ "startIcons()", &slot_4, QMetaData::Public },
	{ "startFonts()", &slot_5, QMetaData::Public },
	{ "startSaver()", &slot_6, QMetaData::Public },
	{ "languageChange()", &slot_7, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KThemeDlg", parentObject,
	slot_tbl, 8,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KThemeDlg.setMetaObject( metaObj );
    return metaObj;
}

void* KThemeDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KThemeDlg" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KThemeDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: startKonqui((const QString&)static_QUType_QString.get(_o+1)); break;
    case 1: startBackground(); break;
    case 2: startColors(); break;
    case 3: startStyle(); break;
    case 4: startIcons(); break;
    case 5: startFonts(); break;
    case 6: startSaver(); break;
    case 7: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KThemeDlg::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KThemeDlg::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KThemeDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
