#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'konqueror_ui.ui'
**
** Created: 2013-09-06T06:16:57
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "konqueror_ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a KCMPerformance::Konqueror_ui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KCMPerformance::Konqueror_ui::Konqueror_ui( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Konqueror_ui" );
    Konqueror_uiLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "Konqueror_uiLayout"); 

    reuse_group = new QButtonGroup( this, "reuse_group" );
    reuse_group->setColumnLayout(0, Qt::Vertical );
    reuse_group->layout()->setSpacing( KDialog::spacingHint() );
    reuse_group->layout()->setMargin( KDialog::marginHint() );
    reuse_groupLayout = new QVBoxLayout( reuse_group->layout() );
    reuse_groupLayout->setAlignment( Qt::AlignTop );

    rb_never_reuse = new QRadioButton( reuse_group, "rb_never_reuse" );
    reuse_groupLayout->addWidget( rb_never_reuse );

    rb_file_browsing_reuse = new QRadioButton( reuse_group, "rb_file_browsing_reuse" );
    reuse_groupLayout->addWidget( rb_file_browsing_reuse );

    rb_always_reuse = new QRadioButton( reuse_group, "rb_always_reuse" );
    reuse_groupLayout->addWidget( rb_always_reuse );
    Konqueror_uiLayout->addWidget( reuse_group );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout2 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 

    lb_preload_count = new QLabel( groupBox1, "lb_preload_count" );
    layout2->addWidget( lb_preload_count );

    sb_preload_count = new QSpinBox( groupBox1, "sb_preload_count" );
    layout2->addWidget( sb_preload_count );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer2 );
    groupBox1Layout->addLayout( layout2 );

    cb_preload_on_startup = new QCheckBox( groupBox1, "cb_preload_on_startup" );
    groupBox1Layout->addWidget( cb_preload_on_startup );

    cb_always_have_preloaded = new QCheckBox( groupBox1, "cb_always_have_preloaded" );
    groupBox1Layout->addWidget( cb_always_have_preloaded );
    Konqueror_uiLayout->addWidget( groupBox1 );
    spacer1 = new QSpacerItem( 20, 160, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Konqueror_uiLayout->addItem( spacer1 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lb_preload_count->setBuddy( sb_preload_count );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KCMPerformance::Konqueror_ui::~Konqueror_ui()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KCMPerformance::Konqueror_ui::languageChange()
{
    reuse_group->setTitle( tr2i18n( "Minimize Memory Usage" ) );
    rb_never_reuse->setText( tr2i18n( "&Never" ) );
    rb_file_browsing_reuse->setText( tr2i18n( "For &file browsing only (recommended)" ) );
    rb_always_reuse->setText( tr2i18n( "Alwa&ys (use with care)" ) );
    groupBox1->setTitle( tr2i18n( "Preloading" ) );
    lb_preload_count->setText( tr2i18n( "Maximum number of instances kept &preloaded:" ) );
    cb_preload_on_startup->setText( tr2i18n( "Preload an instance after KDE startup" ) );
    cb_always_have_preloaded->setText( tr2i18n( "Always try to have at least one preloaded instance" ) );
}

/****************************************************************************
** KCMPerformance::Konqueror_ui meta object code from reading C++ file 'konqueror_ui.h'
**
** Created: Fri Sep 6 06:16:57 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "konqueror_ui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KCMPerformance::Konqueror_ui::className() const
{
    return "KCMPerformance::Konqueror_ui";
}

QMetaObject *KCMPerformance::Konqueror_ui::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KCMPerformance__Konqueror_ui( "KCMPerformance::Konqueror_ui", &KCMPerformance::Konqueror_ui::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KCMPerformance::Konqueror_ui::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KCMPerformance::Konqueror_ui", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KCMPerformance::Konqueror_ui::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KCMPerformance::Konqueror_ui", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KCMPerformance::Konqueror_ui::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KCMPerformance::Konqueror_ui", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KCMPerformance__Konqueror_ui.setMetaObject( metaObj );
    return metaObj;
}

void* KCMPerformance::Konqueror_ui::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KCMPerformance::Konqueror_ui" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KCMPerformance::Konqueror_ui::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KCMPerformance::Konqueror_ui::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KCMPerformance::Konqueror_ui::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KCMPerformance::Konqueror_ui::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
