#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kcmprivacydialog.ui'
**
** Created: 2013-09-06T06:16:29
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kcmprivacydialog.h"

#include <qvariant.h>
#include <klistview.h>
#include <ktextedit.h>
#include <qsplitter.h>
#include <qheader.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KCMPrivacyDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KCMPrivacyDialog::KCMPrivacyDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KCMPrivacyDialog" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeIncrement( QSize( 0, 0 ) );
    setBaseSize( QSize( 400, 550 ) );
    KCMPrivacyDialogLayout = new QVBoxLayout( this, 0, 6, "KCMPrivacyDialogLayout"); 

    splitter1 = new QSplitter( this, "splitter1" );
    splitter1->setOrientation( QSplitter::Vertical );

    privacyListView = new KListView( splitter1, "privacyListView" );
    privacyListView->setShowSortIndicator( FALSE );
    privacyListView->setResizeMode( KListView::AllColumns );
    privacyListView->setItemsMovable( FALSE );
    privacyListView->setAutoOpen( FALSE );

    statusTextEdit = new KTextEdit( splitter1, "statusTextEdit" );
    statusTextEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)7, 0, 0, statusTextEdit->sizePolicy().hasHeightForWidth() ) );
    statusTextEdit->setMinimumSize( QSize( 0, 50 ) );
    statusTextEdit->setMaximumSize( QSize( 32767, 200 ) );
    statusTextEdit->setResizePolicy( KTextEdit::Manual );
    statusTextEdit->setReadOnly( TRUE );
    KCMPrivacyDialogLayout->addWidget( splitter1 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    selectAllButton = new QPushButton( this, "selectAllButton" );
    selectAllButton->setMinimumSize( QSize( 80, 0 ) );
    selectAllButton->setMaximumSize( QSize( 32767, 32767 ) );
    layout1->addWidget( selectAllButton );

    selectNoneButton = new QPushButton( this, "selectNoneButton" );
    selectNoneButton->setMinimumSize( QSize( 80, 0 ) );
    selectNoneButton->setMaximumSize( QSize( 32767, 32767 ) );
    layout1->addWidget( selectNoneButton );
    spacer1 = new QSpacerItem( 80, 20, QSizePolicy::Maximum, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    cleanupButton = new QPushButton( this, "cleanupButton" );
    cleanupButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, cleanupButton->sizePolicy().hasHeightForWidth() ) );
    cleanupButton->setMaximumSize( QSize( 32767, 32767 ) );
    layout1->addWidget( cleanupButton );
    KCMPrivacyDialogLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(452, 226).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KCMPrivacyDialog::~KCMPrivacyDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KCMPrivacyDialog::languageChange()
{
    setCaption( tr2i18n( "Privacy" ) );
    statusTextEdit->setText( QString::null );
    selectAllButton->setText( tr2i18n( "Select All" ) );
    selectNoneButton->setText( tr2i18n( "Select None" ) );
    cleanupButton->setText( tr2i18n( "Clean Up" ) );
}

/****************************************************************************
** KCMPrivacyDialog meta object code from reading C++ file 'kcmprivacydialog.h'
**
** Created: Fri Sep 6 06:16:29 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kcmprivacydialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KCMPrivacyDialog::className() const
{
    return "KCMPrivacyDialog";
}

QMetaObject *KCMPrivacyDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KCMPrivacyDialog( "KCMPrivacyDialog", &KCMPrivacyDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KCMPrivacyDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KCMPrivacyDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KCMPrivacyDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KCMPrivacyDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KCMPrivacyDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KCMPrivacyDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KCMPrivacyDialog.setMetaObject( metaObj );
    return metaObj;
}

void* KCMPrivacyDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KCMPrivacyDialog" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KCMPrivacyDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KCMPrivacyDialog::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KCMPrivacyDialog::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KCMPrivacyDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
