#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'stylepreview.ui'
**
** Created: 2013-09-06T06:14:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "stylepreview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qscrollbar.h>
#include <qcombobox.h>
#include <qprogressbar.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"
#include "stylepreview.ui.h"

/*
 *  Constructs a StylePreview as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StylePreview::StylePreview( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "StylePreview" );
    StylePreviewLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "StylePreviewLayout"); 
    spacer1 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    StylePreviewLayout->addItem( spacer1, 1, 0 );

    TabWidget2 = new QTabWidget( this, "TabWidget2" );
    TabWidget2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 1, 0, TabWidget2->sizePolicy().hasHeightForWidth() ) );
    TabWidget2->setMargin( 2 );

    tab = new QWidget( TabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    ButtonGroup1 = new QButtonGroup( tab, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    ButtonGroup1->layout()->setMargin( KDialog::marginHint() );
    ButtonGroup1Layout = new QVBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    RadioButton1 = new QRadioButton( ButtonGroup1, "RadioButton1" );
    RadioButton1->setChecked( TRUE );
    ButtonGroup1Layout->addWidget( RadioButton1 );

    RadioButton2 = new QRadioButton( ButtonGroup1, "RadioButton2" );
    ButtonGroup1Layout->addWidget( RadioButton2 );

    Line1 = new QFrame( ButtonGroup1, "Line1" );
    Line1->setFrameShape( QFrame::HLine );
    Line1->setFrameShadow( QFrame::Sunken );
    Line1->setFrameShape( QFrame::HLine );
    ButtonGroup1Layout->addWidget( Line1 );

    CheckBox1 = new QCheckBox( ButtonGroup1, "CheckBox1" );
    CheckBox1->setChecked( TRUE );
    CheckBox1->setTristate( FALSE );
    ButtonGroup1Layout->addWidget( CheckBox1 );

    tabLayout->addMultiCellWidget( ButtonGroup1, 0, 3, 0, 0 );

    ScrollBar1 = new QScrollBar( tab, "ScrollBar1" );
    ScrollBar1->setMaxValue( 19 );
    ScrollBar1->setOrientation( QScrollBar::Vertical );

    tabLayout->addMultiCellWidget( ScrollBar1, 0, 3, 2, 2 );

    ComboBox1 = new QComboBox( FALSE, tab, "ComboBox1" );

    tabLayout->addWidget( ComboBox1, 3, 1 );

    ProgressBar1 = new QProgressBar( tab, "ProgressBar1" );
    ProgressBar1->setProgress( 70 );

    tabLayout->addWidget( ProgressBar1, 0, 1 );

    Slider1 = new QSlider( tab, "Slider1" );
    Slider1->setOrientation( QSlider::Horizontal );

    tabLayout->addWidget( Slider1, 1, 1 );

    layout3 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 
    spacer6 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer6 );

    SpinBox1 = new QSpinBox( tab, "SpinBox1" );
    SpinBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 1, 0, SpinBox1->sizePolicy().hasHeightForWidth() ) );
    SpinBox1->setMinimumSize( QSize( 0, 0 ) );
    SpinBox1->setMaximumSize( QSize( 200, 32767 ) );
    SpinBox1->setMaxValue( 999999 );
    layout3->addWidget( SpinBox1 );

    PushButton1 = new QPushButton( tab, "PushButton1" );
    PushButton1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 1, 0, PushButton1->sizePolicy().hasHeightForWidth() ) );
    PushButton1->setMinimumSize( QSize( 0, 0 ) );
    PushButton1->setMaximumSize( QSize( 200, 32767 ) );
    layout3->addWidget( PushButton1 );
    spacer3 = new QSpacerItem( 30, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer3 );

    tabLayout->addLayout( layout3, 2, 1 );
    TabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( TabWidget2, "tab_2" );
    TabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    StylePreviewLayout->addWidget( TabWidget2, 0, 0 );
    languageChange();
    resize( QSize(483, 254).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
StylePreview::~StylePreview()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StylePreview::languageChange()
{
    ButtonGroup1->setTitle( tr2i18n( "Button Group" ) );
    RadioButton1->setText( tr2i18n( "Radio button" ) );
    RadioButton2->setText( tr2i18n( "Radio button" ) );
    CheckBox1->setText( tr2i18n( "Checkbox" ) );
    ComboBox1->clear();
    ComboBox1->insertItem( tr2i18n( "Combobox" ) );
    PushButton1->setText( tr2i18n( "Button" ) );
    TabWidget2->changeTab( tab, tr2i18n( "Tab 1" ) );
    TabWidget2->changeTab( tab_2, tr2i18n( "Tab 2" ) );
}

/****************************************************************************
** StylePreview meta object code from reading C++ file 'stylepreview.h'
**
** Created: Fri Sep 6 06:14:32 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "stylepreview.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *StylePreview::className() const
{
    return "StylePreview";
}

QMetaObject *StylePreview::metaObj = 0;
static QMetaObjectCleanUp cleanUp_StylePreview( "StylePreview", &StylePreview::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString StylePreview::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StylePreview", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString StylePreview::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StylePreview", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* StylePreview::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"init", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::Out },
	{ 0, &static_QUType_ptr, "QObject", QUParameter::In },
	{ "ev", &static_QUType_ptr, "QEvent", QUParameter::In }
    };
    static const QUMethod slot_1 = {"eventFilter", 3, param_slot_1 };
    static const QUMethod slot_2 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "init()", &slot_0, QMetaData::Public },
	{ "eventFilter(QObject*,QEvent*)", &slot_1, QMetaData::Public },
	{ "languageChange()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"StylePreview", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_StylePreview.setMetaObject( metaObj );
    return metaObj;
}

void* StylePreview::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StylePreview" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool StylePreview::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init(); break;
    case 1: static_QUType_bool.set(_o,eventFilter((QObject*)static_QUType_ptr.get(_o+1),(QEvent*)static_QUType_ptr.get(_o+2))); break;
    case 2: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool StylePreview::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool StylePreview::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool StylePreview::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
